#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""Tests for `lopt` package."""

import unittest

from unittest.mock import patch
from lopt.lopt import main


class TestLopt(unittest.TestCase):
    """Tests for `lopt` package."""

    def test_import(self):
        """Test lopt import"""
        with patch('sys.argv', ['lopt', '-h']):
            with self.assertRaises(SystemExit) as cmd:
                main()
            self.assertEqual(cmd.exception.code, 0, "sys.exit(0) never called "
                             "-  Failed to exercise lopt")
